Skip to main content
GET
/
v1
/
activity-logs
cURL
curl --request GET \
  --url https://dev.flextell.ai/api/v1/activity-logs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "tenant_id": "<unknown>",
      "log_name": "<string>",
      "description": "<string>",
      "subject_type": "<string>",
      "subject_id": 123,
      "event": "<string>",
      "causer_type": "<string>",
      "causer_id": 123,
      "properties": {},
      "batch_uuid": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "links": {
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>"
  },
  "meta": {
    "current_page": 2,
    "from": 2,
    "last_page": 2,
    "links": [
      {
        "url": "<string>",
        "label": "<string>",
        "active": true
      }
    ],
    "path": "<string>",
    "per_page": 1,
    "to": 2,
    "total": 1
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Query Parameters

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

Sort by a field.

Available options:
created_at,
event,
subject_type
sort_order
enum<string> | null

Sort order.

Available options:
asc,
desc
event
enum<string> | null

Filter by event type.

Available options:
created,
updated,
deleted
subject_type
string | null

Filter by subject type.

Maximum string length: 255
subject_id
integer | null

Filter by subject ID.

Required range: x >= 1
causer
string | null

Filter by causer: literal "system" or a positive integer (e.g. user id).

Pattern: /^(system
created_from
string<date-time> | null

Filter by start date.

created_until
string<date-time> | null

Filter by end date.

Response

Paginated set of ActivityLogResource

data
(ActivityLogResource · object | string[])[]
required
meta
object
required